View Issue Details

IDProjectCategoryView StatusLast Update
13280Bug reports[All Projects] Survey takingpublic2018-02-06 12:02
ReportercookiemonsterAssigned Tomarkusfluer 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.1.x 
Target VersionFixed in Version3.2.x 
Summary13280: Variables don't work in END_URL
Description

Variables don't work in END_URL

Steps To Reproduce

see survey attached and open it with id=xy
in the end url it's {id} instead of xy

TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 3.1.1+180130
I will donate to the project if issue is resolvedNo
Browser58.0.1 (64-Bit)
Database & DB-Versionlibmysql - 5.5.54
Server OS (if known)Ubuntu
Webserver software & version (if known)Apache/2.4.7
PHP Version5.5.9

Activities

cookiemonster

cookiemonster

2018-02-01 08:37

reporter  

limesurvey_survey_498847.lss (17,504 bytes)
markusfluer

markusfluer

2018-02-02 15:42

administrator   ~46213

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=26312

Related Changesets

LimeSurvey: master 3045094b

2018-02-02 15:32:39

markusfluer

Details Diff
Fixed issue 13280: Variables don't work in END_URL Affected Issues
13280
mod - application/controllers/admin/database.php Diff File
mod - application/helpers/SurveyRuntimeHelper.php Diff File

Issue History

Date Modified Username Field Change
2018-02-01 08:37 cookiemonster New Issue
2018-02-01 08:37 cookiemonster File Added: limesurvey_survey_498847.lss
2018-02-02 15:32 markusfluer Assigned To => markusfluer
2018-02-02 15:32 markusfluer Status new => resolved
2018-02-02 15:32 markusfluer Resolution open => fixed
2018-02-02 15:32 markusfluer Fixed in Version => 3.1.x
2018-02-02 15:42 markusfluer Changeset attached => LimeSurvey master 3045094b
2018-02-02 15:42 markusfluer Note Added: 46213
2018-02-06 12:02 ollehar Status resolved => closed
2018-02-06 12:02 ollehar Fixed in Version 3.1.x => 3.2.x